public Action:NoRunCmd(Handle:event, const String:name[], bool:silent)
{
	if (!strcmp(name, "round_prestart", false) || !strcmp(name, "round_start", false))
	{
		g_bRoundFreezeEnd = false;
		for (new i = 1; i <= MaxClients; i++) {
			g_bRunCmd[i] = false;
		}
	}
	else if (!strcmp(name, "player_death", false)) {
		g_bRunCmd[GetClientOfUserId(GetEventInt(event, "userid"))] = false;
	}
	else if (!strcmp(name, "player_team", false) && GetEventInt(event, "team") == 1) {
		g_bRunCmd[GetClientOfUserId(GetEventInt(event, "userid"))] = false;
	}
	return Plugin_Continue;
}

public GoRunCmd(Handle:event, const String:name[], bool:silent)
{
	g_bRoundFreezeEnd = true;
	for (new i = 1; i <= MaxClients; i++) { wS_RunCmd(i); }
}

public Action:OnPlayerRunCmd(client, &B, &impulse, Float:vel[3], Float:A[3], &weapon)
{
	if (!g_bRunCmd[client]) {
		return Plugin_Continue;
	}

	static Float:fVel[3], bool:bOnGround, bool:bJumpButtonUnpressed[MAXPLAYERS + 1];
	GetEntPropVector(client, Prop_Data, "m_vecAbsVelocity", fVel);
	if ((bOnGround = bool:(GetEntProp(client, Prop_Data, "m_fFlags") & FL_ONGROUND))) // на лестнице = false
	{
		g_AirJumpsLeft[client] = g_bAccess[client][air_jumps];
		bJumpButtonUnpressed[client] = false;
		wS_ClearParachute(client);
	}

	if (B & IN_JUMP)
	{
		if (!bOnGround && !g_bParachuteOpened[client] && GetEntityMoveType(client) != MOVETYPE_LADDER && GetEntProp(client, Prop_Send, "m_nWaterLevel") < 2)
		{
			if (g_bAccess[client][bhop])
			{
				//SetEntPropFloat(client, Prop_Send, "m_flStamina", 0.0);
				B &= ~IN_JUMP;
			}
			if (fVel[2] < 0.0 && g_bAccess[client][air_jumps] && bJumpButtonUnpressed[client] && g_AirJumpsLeft[client] > 0)
			{
				--g_AirJumpsLeft[client];
				bJumpButtonUnpressed[client] = false;
				decl Float:v[3];
				v[0] = fVel[0];
				v[1] = fVel[1];
				v[2] = g_fAirJumpPower;
				TeleportEntity(client, NULL_VECTOR, NULL_VECTOR, v);
			}
		}
	}
	else
	{
		if (!bOnGround && !g_bParachuteOpened[client]) {
			bJumpButtonUnpressed[client] = true;
		}
	}

	if (B & IN_USE)
	{
		if (fVel[2] < 0.0 && g_bAccess[client][parachute] && !g_bParachuteOpened[client] && !bOnGround)
		{
			static LastTime[MAXPLAYERS + 1], x;
			if ((x = GetTime()) > LastTime[client])
			{
				LastTime[client] = x;
				g_bParachuteOpened[client] = true;
				fVel[2] = 0.0;
				TeleportEntity(client, NULL_VECTOR, NULL_VECTOR, fVel);
				SetEntityGravity(client, g_fParachuteGravity);

				if (g_ParachuteRef[client] == INVALID_ENT_REFERENCE && (g_bParachuteFire || g_sParachuteModel[0]))
				{
					new knife = GetPlayerWeaponSlot(client, 2);
					if (knife > MaxClients)
					{
						decl Float:v[3];
						GetClientAbsOrigin(client, v);
						x = 0;

						if (g_sParachuteModel[0] && (x = CreateEntityByName("prop_dynamic")) > MaxClients)
						{
							g_ParachuteRef[client]		= EntIndexToEntRef(x);
							SetEntityModel(x,			g_sParachuteModel);
							
							new ServerType				= VIP_GetServerType();

							decl Float:a[3];
							GetClientEyeAngles(client,	a);
							a[2] = 0.0;
							a[0] = 0.0;
							if (ServerType == 1)		// csgo
							{
								a[1] -= 15.0;
							}
							else
							{
								v[2] -= 27.0;
								if (ServerType == 3) {	// v34
									a[1] += 90.0;
								}
							}

							DispatchKeyValueVector(x, 	"origin",	v);
							DispatchKeyValueVector(x, 	"angles",	a);
							DispatchKeyValue(x,			"solid",	"0");
							SetEntPropEnt(x,			Prop_Send,	"m_hOwnerEntity",	client);
							DispatchSpawn(x);
							SetVariantString("!activator");
							AcceptEntityInput(x,		"SetParent", knife);

							if (g_ParachuteColor[0] > -1)
							{
								SetEntityRenderMode(x,	RENDER_TRANSCOLOR);
								SetEntityRenderColor(x,	g_ParachuteColor[0], g_ParachuteColor[1], g_ParachuteColor[2], g_ParachuteColor[3]);
							}
						}
						
						if (g_bParachuteFire)
						{
							decl y;
							if ((y = CreateEntityByName("info_particle_system")) > MaxClients)
							{
								if (g_ParachuteRef[client] == INVALID_ENT_REFERENCE) g_ParachuteRef[client] = EntIndexToEntRef(y);
								DispatchKeyValue(y, "effect_name", "env_fire_large");
								DispatchKeyValueVector(y, "origin", v);
								DispatchSpawn(y);
								SetVariantString("!activator");
								AcceptEntityInput(y, "SetParent", x > MaxClients ? x : knife);
								ActivateEntity(y);
								AcceptEntityInput(y, "Start");
							}
						}
					}
				}
			}
		}
	}
	else {
		wS_ClearParachute(client);
	}
	
	return Plugin_Continue;
}