stock wS_RunCmd(client)
{
	if (g_bRoundFreezeEnd)
	{
		for (new VipModule:module; module < VipModule; module++)
		{
			if (g_bAccess[client][module])
			{
				g_bRunCmd[client] = true;
				return;
			}
		}
	}
	g_bRunCmd[client] = false;
}

stock wS_ClearParachute(client)
{
	if (g_bParachuteOpened[client])
	{
		g_bParachuteOpened[client] = false;

		if (g_ParachuteRef[client] != INVALID_ENT_REFERENCE)
		{
			new ent = EntRefToEntIndex(g_ParachuteRef[client]);
			if (ent > MaxClients) AcceptEntityInput(ent, "Kill");
			g_ParachuteRef[client] = INVALID_ENT_REFERENCE;
		}
		
		if (IsClientInGame(client))
			SetEntityGravity(client, 1.0);
	}
}

stock GetColorFromCvar(Handle:hCvar, color[4], default_color[4] = {-1, -1, -1, -1})
{
	decl String:s[128];
	GetConVarString(hCvar, s, sizeof(s));
	
	if (!GetColorFromString(s, color, 4))
	{
		color[0] = default_color[0];
		color[1] = default_color[1];
		color[2] = default_color[2];
		color[3] = default_color[3];
	}
}

stock bool:GetColorFromString(const String:str[], color[], const color_size)
{
	if (!str[0] || (color_size != 3 && color_size != 4)) // ток 3 или 4
		return false;
	
	decl String:s[128], i;
	strcopy(s, sizeof(s), str);
	
	if ((i = TrimString(s)) < (color_size == 4 ? 7 : 5)) // "1 3 5" или "1 3 5 7"
		return false;
	
	decl c[color_size];
	new bool:bFoundFirstNumber = false; // "xxx xxx xxx xx1" 1 было найдено
	new c_size = color_size;
	
	while (i--)
	{
		if (bFoundFirstNumber)
		{
			if (IsCharSpace(s[i]))
			{
				c[--c_size] = StringToInt(s[i]);
				bFoundFirstNumber = false;
				s[i] = 0;
				
				if (c_size == 0)
				{
					if (TrimString(s)) // Все числа получили, но там дальше ещё есть что-то, кроме пробелов.
						return false;
					break;
				}
			}
			else if (IsCharNumeric(s[i]))
			{
				if (i == 0)
				{
					c[--c_size] = StringToInt(s[i]);
					break;
				}
			}
			else
				return false;
		}
		else if (IsCharNumeric(s[i]))
		{
			if (i == 0)
			{
				c[--c_size] = StringToInt(s[i]);
				break;
			}
			bFoundFirstNumber = true;
		}
		else if (!IsCharSpace(s[i]))
			return false;
	}
	
	if (c_size == 0 && c[0] > -1 && c[0] < 256 && c[1] > -1 && c[1] < 256 && c[2] > -1 && c[2] < 256 && (color_size == 3 || (c[3] > -1 && c[3] < 256)))
	{
		color[0] = c[0];
		color[1] = c[1];
		color[2] = c[2];
		if (color_size == 4) color[3] = c[3];
		return true;
	}
	
	return false;
}

stock bool:mdl(String:path[], size, bool:bPrecache = false)
{
	if (!path[0] || TrimString(path) < 11 || StrContains(path, "models", false) != 0) return false;
	new i = FindCharInString(path, '.', true);
	if (i > 6 && !strcmp(path[i + 1], "mdl", false))
	{
		ReplaceString(path, size, "\\", "/");
		if (bPrecache) PrecacheModel(path, true);
		return true;
	}
	path[0] = 0;
	return false;
}